<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfAvailablePickupDay ArrayType
 * @subpackage Arrays
 */
class ArrayOfAvailablePickupDay extends AbstractStructArrayBase
{
    /**
     * The AvailablePickupDay
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AvailablePickupDay[]
     */
    public $AvailablePickupDay;
    /**
     * Constructor method for ArrayOfAvailablePickupDay
     * @uses ArrayOfAvailablePickupDay::setAvailablePickupDay()
     * @param \StructType\AvailablePickupDay[] $availablePickupDay
     */
    public function __construct(array $availablePickupDay = array())
    {
        $this
            ->setAvailablePickupDay($availablePickupDay);
    }
    /**
     * Get AvailablePickupDay value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AvailablePickupDay[]|null
     */
    public function getAvailablePickupDay()
    {
        return isset($this->AvailablePickupDay) ? $this->AvailablePickupDay : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAvailablePickupDay method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAvailablePickupDay method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAvailablePickupDayForArrayConstraintsFromSetAvailablePickupDay(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfAvailablePickupDayAvailablePickupDayItem) {
            // validation for constraint: itemType
            if (!$arrayOfAvailablePickupDayAvailablePickupDayItem instanceof \StructType\AvailablePickupDay) {
                $invalidValues[] = is_object($arrayOfAvailablePickupDayAvailablePickupDayItem) ? get_class($arrayOfAvailablePickupDayAvailablePickupDayItem) : sprintf('%s(%s)', gettype($arrayOfAvailablePickupDayAvailablePickupDayItem), var_export($arrayOfAvailablePickupDayAvailablePickupDayItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AvailablePickupDay property can only contain items of type \StructType\AvailablePickupDay, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AvailablePickupDay value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\AvailablePickupDay[] $availablePickupDay
     * @return \ArrayType\ArrayOfAvailablePickupDay
     */
    public function setAvailablePickupDay(array $availablePickupDay = array())
    {
        // validation for constraint: array
        if ('' !== ($availablePickupDayArrayErrorMessage = self::validateAvailablePickupDayForArrayConstraintsFromSetAvailablePickupDay($availablePickupDay))) {
            throw new \InvalidArgumentException($availablePickupDayArrayErrorMessage, __LINE__);
        }
        if (is_null($availablePickupDay) || (is_array($availablePickupDay) && empty($availablePickupDay))) {
            unset($this->AvailablePickupDay);
        } else {
            $this->AvailablePickupDay = $availablePickupDay;
        }
        return $this;
    }
    /**
     * Add item to AvailablePickupDay value
     * @throws \InvalidArgumentException
     * @param \StructType\AvailablePickupDay $item
     * @return \ArrayType\ArrayOfAvailablePickupDay
     */
    public function addToAvailablePickupDay(\StructType\AvailablePickupDay $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\AvailablePickupDay) {
            throw new \InvalidArgumentException(sprintf('The AvailablePickupDay property can only contain items of type \StructType\AvailablePickupDay, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AvailablePickupDay[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\AvailablePickupDay|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\AvailablePickupDay|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\AvailablePickupDay|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\AvailablePickupDay|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\AvailablePickupDay|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string AvailablePickupDay
     */
    public function getAttributeName()
    {
        return 'AvailablePickupDay';
    }
}
