<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfBusinessPackAllegro ArrayType
 * @subpackage Arrays
 */
class ArrayOfBusinessPackAllegro extends AbstractStructArrayBase
{
    /**
     * The BusinessPackAllegro
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\BusinessPackAllegro[]
     */
    public $BusinessPackAllegro;
    /**
     * Constructor method for ArrayOfBusinessPackAllegro
     * @uses ArrayOfBusinessPackAllegro::setBusinessPackAllegro()
     * @param \StructType\BusinessPackAllegro[] $businessPackAllegro
     */
    public function __construct(array $businessPackAllegro = array())
    {
        $this
            ->setBusinessPackAllegro($businessPackAllegro);
    }
    /**
     * Get BusinessPackAllegro value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\BusinessPackAllegro[]|null
     */
    public function getBusinessPackAllegro()
    {
        return isset($this->BusinessPackAllegro) ? $this->BusinessPackAllegro : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBusinessPackAllegro method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBusinessPackAllegro method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBusinessPackAllegroForArrayConstraintsFromSetBusinessPackAllegro(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfBusinessPackAllegroBusinessPackAllegroItem) {
            // validation for constraint: itemType
            if (!$arrayOfBusinessPackAllegroBusinessPackAllegroItem instanceof \StructType\BusinessPackAllegro) {
                $invalidValues[] = is_object($arrayOfBusinessPackAllegroBusinessPackAllegroItem) ? get_class($arrayOfBusinessPackAllegroBusinessPackAllegroItem) : sprintf('%s(%s)', gettype($arrayOfBusinessPackAllegroBusinessPackAllegroItem), var_export($arrayOfBusinessPackAllegroBusinessPackAllegroItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The BusinessPackAllegro property can only contain items of type \StructType\BusinessPackAllegro, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set BusinessPackAllegro value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\BusinessPackAllegro[] $businessPackAllegro
     * @return \ArrayType\ArrayOfBusinessPackAllegro
     */
    public function setBusinessPackAllegro(array $businessPackAllegro = array())
    {
        // validation for constraint: array
        if ('' !== ($businessPackAllegroArrayErrorMessage = self::validateBusinessPackAllegroForArrayConstraintsFromSetBusinessPackAllegro($businessPackAllegro))) {
            throw new \InvalidArgumentException($businessPackAllegroArrayErrorMessage, __LINE__);
        }
        if (is_null($businessPackAllegro) || (is_array($businessPackAllegro) && empty($businessPackAllegro))) {
            unset($this->BusinessPackAllegro);
        } else {
            $this->BusinessPackAllegro = $businessPackAllegro;
        }
        return $this;
    }
    /**
     * Add item to BusinessPackAllegro value
     * @throws \InvalidArgumentException
     * @param \StructType\BusinessPackAllegro $item
     * @return \ArrayType\ArrayOfBusinessPackAllegro
     */
    public function addToBusinessPackAllegro(\StructType\BusinessPackAllegro $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\BusinessPackAllegro) {
            throw new \InvalidArgumentException(sprintf('The BusinessPackAllegro property can only contain items of type \StructType\BusinessPackAllegro, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->BusinessPackAllegro[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\BusinessPackAllegro|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\BusinessPackAllegro|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\BusinessPackAllegro|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\BusinessPackAllegro|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\BusinessPackAllegro|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string BusinessPackAllegro
     */
    public function getAttributeName()
    {
        return 'BusinessPackAllegro';
    }
}
