<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPackagesToBeReturned ArrayType
 * @subpackage Arrays
 */
class ArrayOfPackagesToBeReturned extends AbstractStructArrayBase
{
    /**
     * The PackagesToBeReturned
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PackagesToBeReturned[]
     */
    public $PackagesToBeReturned;
    /**
     * Constructor method for ArrayOfPackagesToBeReturned
     * @uses ArrayOfPackagesToBeReturned::setPackagesToBeReturned()
     * @param \StructType\PackagesToBeReturned[] $packagesToBeReturned
     */
    public function __construct(array $packagesToBeReturned = array())
    {
        $this
            ->setPackagesToBeReturned($packagesToBeReturned);
    }
    /**
     * Get PackagesToBeReturned value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PackagesToBeReturned[]|null
     */
    public function getPackagesToBeReturned()
    {
        return isset($this->PackagesToBeReturned) ? $this->PackagesToBeReturned : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPackagesToBeReturned method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPackagesToBeReturned method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePackagesToBeReturnedForArrayConstraintsFromSetPackagesToBeReturned(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPackagesToBeReturnedPackagesToBeReturnedItem) {
            // validation for constraint: itemType
            if (!$arrayOfPackagesToBeReturnedPackagesToBeReturnedItem instanceof \StructType\PackagesToBeReturned) {
                $invalidValues[] = is_object($arrayOfPackagesToBeReturnedPackagesToBeReturnedItem) ? get_class($arrayOfPackagesToBeReturnedPackagesToBeReturnedItem) : sprintf('%s(%s)', gettype($arrayOfPackagesToBeReturnedPackagesToBeReturnedItem), var_export($arrayOfPackagesToBeReturnedPackagesToBeReturnedItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PackagesToBeReturned property can only contain items of type \StructType\PackagesToBeReturned, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PackagesToBeReturned value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PackagesToBeReturned[] $packagesToBeReturned
     * @return \ArrayType\ArrayOfPackagesToBeReturned
     */
    public function setPackagesToBeReturned(array $packagesToBeReturned = array())
    {
        // validation for constraint: array
        if ('' !== ($packagesToBeReturnedArrayErrorMessage = self::validatePackagesToBeReturnedForArrayConstraintsFromSetPackagesToBeReturned($packagesToBeReturned))) {
            throw new \InvalidArgumentException($packagesToBeReturnedArrayErrorMessage, __LINE__);
        }
        if (is_null($packagesToBeReturned) || (is_array($packagesToBeReturned) && empty($packagesToBeReturned))) {
            unset($this->PackagesToBeReturned);
        } else {
            $this->PackagesToBeReturned = $packagesToBeReturned;
        }
        return $this;
    }
    /**
     * Add item to PackagesToBeReturned value
     * @throws \InvalidArgumentException
     * @param \StructType\PackagesToBeReturned $item
     * @return \ArrayType\ArrayOfPackagesToBeReturned
     */
    public function addToPackagesToBeReturned(\StructType\PackagesToBeReturned $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PackagesToBeReturned) {
            throw new \InvalidArgumentException(sprintf('The PackagesToBeReturned property can only contain items of type \StructType\PackagesToBeReturned, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PackagesToBeReturned[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PackagesToBeReturned|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PackagesToBeReturned|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PackagesToBeReturned|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PackagesToBeReturned|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PackagesToBeReturned|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PackagesToBeReturned
     */
    public function getAttributeName()
    {
        return 'PackagesToBeReturned';
    }
}
