<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPointPwRSuggestion ArrayType
 * @subpackage Arrays
 */
class ArrayOfPointPwRSuggestion extends AbstractStructArrayBase
{
    /**
     * The PointPwRSuggestion
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PointPwRSuggestion[]
     */
    public $PointPwRSuggestion;
    /**
     * Constructor method for ArrayOfPointPwRSuggestion
     * @uses ArrayOfPointPwRSuggestion::setPointPwRSuggestion()
     * @param \StructType\PointPwRSuggestion[] $pointPwRSuggestion
     */
    public function __construct(array $pointPwRSuggestion = array())
    {
        $this
            ->setPointPwRSuggestion($pointPwRSuggestion);
    }
    /**
     * Get PointPwRSuggestion value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PointPwRSuggestion[]|null
     */
    public function getPointPwRSuggestion()
    {
        return isset($this->PointPwRSuggestion) ? $this->PointPwRSuggestion : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPointPwRSuggestion method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPointPwRSuggestion method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePointPwRSuggestionForArrayConstraintsFromSetPointPwRSuggestion(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPointPwRSuggestionPointPwRSuggestionItem) {
            // validation for constraint: itemType
            if (!$arrayOfPointPwRSuggestionPointPwRSuggestionItem instanceof \StructType\PointPwRSuggestion) {
                $invalidValues[] = is_object($arrayOfPointPwRSuggestionPointPwRSuggestionItem) ? get_class($arrayOfPointPwRSuggestionPointPwRSuggestionItem) : sprintf('%s(%s)', gettype($arrayOfPointPwRSuggestionPointPwRSuggestionItem), var_export($arrayOfPointPwRSuggestionPointPwRSuggestionItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PointPwRSuggestion property can only contain items of type \StructType\PointPwRSuggestion, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PointPwRSuggestion value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PointPwRSuggestion[] $pointPwRSuggestion
     * @return \ArrayType\ArrayOfPointPwRSuggestion
     */
    public function setPointPwRSuggestion(array $pointPwRSuggestion = array())
    {
        // validation for constraint: array
        if ('' !== ($pointPwRSuggestionArrayErrorMessage = self::validatePointPwRSuggestionForArrayConstraintsFromSetPointPwRSuggestion($pointPwRSuggestion))) {
            throw new \InvalidArgumentException($pointPwRSuggestionArrayErrorMessage, __LINE__);
        }
        if (is_null($pointPwRSuggestion) || (is_array($pointPwRSuggestion) && empty($pointPwRSuggestion))) {
            unset($this->PointPwRSuggestion);
        } else {
            $this->PointPwRSuggestion = $pointPwRSuggestion;
        }
        return $this;
    }
    /**
     * Add item to PointPwRSuggestion value
     * @throws \InvalidArgumentException
     * @param \StructType\PointPwRSuggestion $item
     * @return \ArrayType\ArrayOfPointPwRSuggestion
     */
    public function addToPointPwRSuggestion(\StructType\PointPwRSuggestion $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PointPwRSuggestion) {
            throw new \InvalidArgumentException(sprintf('The PointPwRSuggestion property can only contain items of type \StructType\PointPwRSuggestion, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PointPwRSuggestion[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PointPwRSuggestion|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PointPwRSuggestion|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PointPwRSuggestion|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PointPwRSuggestion|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PointPwRSuggestion|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PointPwRSuggestion
     */
    public function getAttributeName()
    {
        return 'PointPwRSuggestion';
    }
}
