<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfUnsignedLong ArrayType
 * @subpackage Arrays
 */
class ArrayOfUnsignedLong extends AbstractStructArrayBase
{
    /**
     * The unsignedLong
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $unsignedLong;
    /**
     * Constructor method for ArrayOfUnsignedLong
     * @uses ArrayOfUnsignedLong::setUnsignedLong()
     * @param int[] $unsignedLong
     */
    public function __construct(array $unsignedLong = array())
    {
        $this
            ->setUnsignedLong($unsignedLong);
    }
    /**
     * Get unsignedLong value
     * @return int[]|null
     */
    public function getUnsignedLong()
    {
        return $this->unsignedLong;
    }
    /**
     * This method is responsible for validating the values passed to the setUnsignedLong method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUnsignedLong method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUnsignedLongForArrayConstraintsFromSetUnsignedLong(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfUnsignedLongUnsignedLongItem) {
            // validation for constraint: itemType
            if (!(is_int($arrayOfUnsignedLongUnsignedLongItem) || ctype_digit($arrayOfUnsignedLongUnsignedLongItem))) {
                $invalidValues[] = is_object($arrayOfUnsignedLongUnsignedLongItem) ? get_class($arrayOfUnsignedLongUnsignedLongItem) : sprintf('%s(%s)', gettype($arrayOfUnsignedLongUnsignedLongItem), var_export($arrayOfUnsignedLongUnsignedLongItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The unsignedLong property can only contain items of type unsignedLong, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set unsignedLong value
     * @throws \InvalidArgumentException
     * @param int[] $unsignedLong
     * @return \ArrayType\ArrayOfUnsignedLong
     */
    public function setUnsignedLong(array $unsignedLong = array())
    {
        // validation for constraint: array
        if ('' !== ($unsignedLongArrayErrorMessage = self::validateUnsignedLongForArrayConstraintsFromSetUnsignedLong($unsignedLong))) {
            throw new \InvalidArgumentException($unsignedLongArrayErrorMessage, __LINE__);
        }
        $this->unsignedLong = $unsignedLong;
        return $this;
    }
    /**
     * Add item to unsignedLong value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \ArrayType\ArrayOfUnsignedLong
     */
    public function addToUnsignedLong($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The unsignedLong property can only contain items of type unsignedLong, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->unsignedLong[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return int|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return int|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return int|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return int|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return int|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string unsignedLong
     */
    public function getAttributeName()
    {
        return 'unsignedLong';
    }
}
