<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Ping' => '\\StructType\\Ping',
            'PingResponse' => '\\StructType\\PingResponse',
            'IsDataPopulated' => '\\StructType\\IsDataPopulated',
            'IsDataPopulatedResponse' => '\\StructType\\IsDataPopulatedResponse',
            'ApiStatus' => '\\StructType\\ApiStatus',
            'RedisCacheInfo' => '\\StructType\\RedisCacheInfo',
            'TimeSpan' => '\\StructType\\TimeSpan',
            'GiveMePackStatusFullHistoryList' => '\\StructType\\GiveMePackStatusFullHistoryList',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'GiveMePackStatusFullHistoryListResponse' => '\\StructType\\GiveMePackStatusFullHistoryListResponse',
            'GiveMePackStatusFullHistoryListResult' => '\\StructType\\GiveMePackStatusFullHistoryListResult',
            'GiveMePackStatusFullHistory' => '\\StructType\\GiveMePackStatusFullHistory',
            'GiveMePackStatusFullHistoryResponse' => '\\StructType\\GiveMePackStatusFullHistoryResponse',
            'GiveMePackStatusFullHistoryResult' => '\\StructType\\GiveMePackStatusFullHistoryResult',
            'GiveMeShippingCodeStatusFullHistory' => '\\StructType\\GiveMeShippingCodeStatusFullHistory',
            'GiveMeShippingCodeStatusFullHistoryResponse' => '\\StructType\\GiveMeShippingCodeStatusFullHistoryResponse',
            'GiveMeShippingCodeStatusFullHistoryResult' => '\\StructType\\GiveMeShippingCodeStatusFullHistoryResult',
            'GiveMePackStatus' => '\\StructType\\GiveMePackStatus',
            'GiveMePackStatusResponse' => '\\StructType\\GiveMePackStatusResponse',
            'GiveMePackStatusResult' => '\\StructType\\GiveMePackStatusResult',
            'GiveMePackStatusList' => '\\StructType\\GiveMePackStatusList',
            'GiveMePackStatusListResponse' => '\\StructType\\GiveMePackStatusListResponse',
            'GiveMePackStatusListResult' => '\\StructType\\GiveMePackStatusListResult',
            'GiveMasterPack' => '\\StructType\\GiveMasterPack',
            'GiveMasterPackResponse' => '\\StructType\\GiveMasterPackResponse',
            'GiveCurrentPack' => '\\StructType\\GiveCurrentPack',
            'GiveCurrentPackResponse' => '\\StructType\\GiveCurrentPackResponse',
            'GiveMeAllRUCHWithFilled' => '\\StructType\\GiveMeAllRUCHWithFilled',
            'GiveMeAllRUCHWithFilledResponse' => '\\StructType\\GiveMeAllRUCHWithFilledResponse',
            'PwrResponseOfListOfPointPwR' => '\\StructType\\PwrResponseOfListOfPointPwR',
            'ArrayOfPointPwR' => '\\ArrayType\\ArrayOfPointPwR',
            'PointPwR' => '\\StructType\\PointPwR',
            'ArrayOfPointPwRSuggestion' => '\\ArrayType\\ArrayOfPointPwRSuggestion',
            'PointPwRSuggestion' => '\\StructType\\PointPwRSuggestion',
            'GiveMeAllRUCHWithFilledD1' => '\\StructType\\GiveMeAllRUCHWithFilledD1',
            'GiveMeAllRUCHWithFilledD1Response' => '\\StructType\\GiveMeAllRUCHWithFilledD1Response',
            'GiveMeAllRUCHZipcode' => '\\StructType\\GiveMeAllRUCHZipcode',
            'GiveMeAllRUCHZipcodeResponse' => '\\StructType\\GiveMeAllRUCHZipcodeResponse',
            'GiveMeAllRUCHZipcodeResult' => '\\StructType\\GiveMeAllRUCHZipcodeResult',
            'GiveMeAllRUCHLocation' => '\\StructType\\GiveMeAllRUCHLocation',
            'GiveMeAllRUCHLocationResponse' => '\\StructType\\GiveMeAllRUCHLocationResponse',
            'GiveMeAllRUCHLocationResult' => '\\StructType\\GiveMeAllRUCHLocationResult',
            'GiveMeAllPSDLocation' => '\\StructType\\GiveMeAllPSDLocation',
            'GiveMeAllPSDLocationResponse' => '\\StructType\\GiveMeAllPSDLocationResponse',
            'GiveMeAllPSDLocationResult' => '\\StructType\\GiveMeAllPSDLocationResult',
            'GiveMeAllLocationWithAllData' => '\\StructType\\GiveMeAllLocationWithAllData',
            'GiveMeAllLocationWithAllDataResponse' => '\\StructType\\GiveMeAllLocationWithAllDataResponse',
            'GiveMeAllLocationWithAllDataResult' => '\\StructType\\GiveMeAllLocationWithAllDataResult',
            'GiveMeAllApmLocation' => '\\StructType\\GiveMeAllApmLocation',
            'GiveMeAllApmLocationResponse' => '\\StructType\\GiveMeAllApmLocationResponse',
            'GiveMeAllApmLocationResult' => '\\StructType\\GiveMeAllApmLocationResult',
            'GiveMePSDProvince' => '\\StructType\\GiveMePSDProvince',
            'GiveMePSDProvinceResponse' => '\\StructType\\GiveMePSDProvinceResponse',
            'GiveMePSDProvinceResult' => '\\StructType\\GiveMePSDProvinceResult',
            'GiveMePSDZipcode' => '\\StructType\\GiveMePSDZipcode',
            'GiveMePSDZipcodeResponse' => '\\StructType\\GiveMePSDZipcodeResponse',
            'GiveMePSDZipcodeResult' => '\\StructType\\GiveMePSDZipcodeResult',
            'GiveMeCityPSDLocation' => '\\StructType\\GiveMeCityPSDLocation',
            'GiveMeCityPSDLocationResponse' => '\\StructType\\GiveMeCityPSDLocationResponse',
            'GiveMeCityPSDLocationResult' => '\\StructType\\GiveMeCityPSDLocationResult',
            'GenerateBusinessPack' => '\\StructType\\GenerateBusinessPack',
            'GenerateBusinessPackResponse' => '\\StructType\\GenerateBusinessPackResponse',
            'GenerateBusinessPackResult' => '\\StructType\\GenerateBusinessPackResult',
            'GenerateBusinessPackTwo' => '\\StructType\\GenerateBusinessPackTwo',
            'GenerateBusinessPackTwoResponse' => '\\StructType\\GenerateBusinessPackTwoResponse',
            'GenerateBusinessPackTwoResult' => '\\StructType\\GenerateBusinessPackTwoResult',
            'PutCustomerPackCanceled' => '\\StructType\\PutCustomerPackCanceled',
            'PutCustomerPackCanceledResponse' => '\\StructType\\PutCustomerPackCanceledResponse',
            'PutCustomerPackCanceledResult' => '\\StructType\\PutCustomerPackCanceledResult',
            'PutCustomerShippingCodeCanceled' => '\\StructType\\PutCustomerShippingCodeCanceled',
            'PutCustomerShippingCodeCanceledResponse' => '\\StructType\\PutCustomerShippingCodeCanceledResponse',
            'PutCustomerShippingCodeCanceledResult' => '\\StructType\\PutCustomerShippingCodeCanceledResult',
            'PutCustomerPack' => '\\StructType\\PutCustomerPack',
            'PutCustomerPackResponse' => '\\StructType\\PutCustomerPackResponse',
            'PutCustomerPackResult' => '\\StructType\\PutCustomerPackResult',
            'GenerateNumberWaybills' => '\\StructType\\GenerateNumberWaybills',
            'GenerateNumberWaybillsResponse' => '\\StructType\\GenerateNumberWaybillsResponse',
            'GenerateNumberWaybillsResult' => '\\StructType\\GenerateNumberWaybillsResult',
            'CreateCustomer' => '\\StructType\\CreateCustomer',
            'CreateCustomerResponse' => '\\StructType\\CreateCustomerResponse',
            'CreateCustomerResult' => '\\StructType\\CreateCustomerResult',
            'GivePaymentType' => '\\StructType\\GivePaymentType',
            'GivePaymentTypeResponse' => '\\StructType\\GivePaymentTypeResponse',
            'GivePaymentTypeResult' => '\\StructType\\GivePaymentTypeResult',
            'GivePartnerStatus' => '\\StructType\\GivePartnerStatus',
            'GivePartnerStatusResponse' => '\\StructType\\GivePartnerStatusResponse',
            'GivePartnerStatusResult' => '\\StructType\\GivePartnerStatusResult',
            'GivePartnerStatusWithAllData' => '\\StructType\\GivePartnerStatusWithAllData',
            'GivePartnerStatusWithAllDataResponse' => '\\StructType\\GivePartnerStatusWithAllDataResponse',
            'GivePartnerStatusWithAllDataResult' => '\\StructType\\GivePartnerStatusWithAllDataResult',
            'GenerateLabelBusinessPackList' => '\\StructType\\GenerateLabelBusinessPackList',
            'ArrayOfBusinessPack' => '\\ArrayType\\ArrayOfBusinessPack',
            'BusinessPack' => '\\StructType\\BusinessPack',
            'GenerateLabelBusinessPackListResponse' => '\\StructType\\GenerateLabelBusinessPackListResponse',
            'GenerateLabelBusinessPackListResult' => '\\StructType\\GenerateLabelBusinessPackListResult',
            'GenerateLabelBusinessPackListTwo' => '\\StructType\\GenerateLabelBusinessPackListTwo',
            'GenerateLabelBusinessPackListTwoResponse' => '\\StructType\\GenerateLabelBusinessPackListTwoResponse',
            'GenerateLabelBusinessPackListTwoResult' => '\\StructType\\GenerateLabelBusinessPackListTwoResult',
            'GenerateLabelBusinessPack' => '\\StructType\\GenerateLabelBusinessPack',
            'GenerateLabelBusinessPackResponse' => '\\StructType\\GenerateLabelBusinessPackResponse',
            'GenerateLabelBusinessPackResult' => '\\StructType\\GenerateLabelBusinessPackResult',
            'GenerateLabelBusinessPackTwo' => '\\StructType\\GenerateLabelBusinessPackTwo',
            'GenerateLabelBusinessPackTwoResponse' => '\\StructType\\GenerateLabelBusinessPackTwoResponse',
            'GenerateLabelBusinessPackTwoResult' => '\\StructType\\GenerateLabelBusinessPackTwoResult',
            'GetGeneratedParcels' => '\\StructType\\GetGeneratedParcels',
            'GetGeneratedParcelsResponse' => '\\StructType\\GetGeneratedParcelsResponse',
            'GetGeneratedParcelsResult' => '\\StructType\\GetGeneratedParcelsResult',
            'GenerateProtocol' => '\\StructType\\GenerateProtocol',
            'ArrayOfUnsignedLong' => '\\ArrayType\\ArrayOfUnsignedLong',
            'GenerateProtocolResponse' => '\\StructType\\GenerateProtocolResponse',
            'GenerateProtocolResult' => '\\StructType\\GenerateProtocolResult',
            'LabelPrintDuplicateList' => '\\StructType\\LabelPrintDuplicateList',
            'LabelPrintDuplicateListResponse' => '\\StructType\\LabelPrintDuplicateListResponse',
            'LabelPrintDuplicateListResult' => '\\StructType\\LabelPrintDuplicateListResult',
            'LabelPrintDuplicateListTwo' => '\\StructType\\LabelPrintDuplicateListTwo',
            'LabelPrintDuplicateListTwoResponse' => '\\StructType\\LabelPrintDuplicateListTwoResponse',
            'LabelPrintDuplicateListTwoResult' => '\\StructType\\LabelPrintDuplicateListTwoResult',
            'LabelPrintDuplicate' => '\\StructType\\LabelPrintDuplicate',
            'LabelPrintDuplicateResponse' => '\\StructType\\LabelPrintDuplicateResponse',
            'LabelBundle' => '\\StructType\\LabelBundle',
            'LabelPrintDuplicateTwo' => '\\StructType\\LabelPrintDuplicateTwo',
            'LabelPrintDuplicateTwoResponse' => '\\StructType\\LabelPrintDuplicateTwoResponse',
            'GenerateShippingCode' => '\\StructType\\GenerateShippingCode',
            'GenerateShippingCodeResponse' => '\\StructType\\GenerateShippingCodeResponse',
            'GenerateShippingCodeResult' => '\\StructType\\GenerateShippingCodeResult',
            'GiveShippingCodeStatus' => '\\StructType\\GiveShippingCodeStatus',
            'GiveShippingCodeStatusResponse' => '\\StructType\\GiveShippingCodeStatusResponse',
            'GiveShippingCodeStatusResult' => '\\StructType\\GiveShippingCodeStatusResult',
            'GenerateShippingCodeRuch2Home' => '\\StructType\\GenerateShippingCodeRuch2Home',
            'GenerateShippingCodeRuch2HomeResponse' => '\\StructType\\GenerateShippingCodeRuch2HomeResponse',
            'GenerateShippingCodeRuch2HomeResult' => '\\StructType\\GenerateShippingCodeRuch2HomeResult',
            'GenerateLabelBusinessPackRuch2Home' => '\\StructType\\GenerateLabelBusinessPackRuch2Home',
            'GenerateLabelBusinessPackRuch2HomeResponse' => '\\StructType\\GenerateLabelBusinessPackRuch2HomeResponse',
            'GenerateLabelBusinessPackRuch2HomeResult' => '\\StructType\\GenerateLabelBusinessPackRuch2HomeResult',
            'GenerateLabelBusinessPackAllegro' => '\\StructType\\GenerateLabelBusinessPackAllegro',
            'GenerateLabelBusinessPackAllegroResponse' => '\\StructType\\GenerateLabelBusinessPackAllegroResponse',
            'GenerateLabelBusinessPackAllegroResult' => '\\StructType\\GenerateLabelBusinessPackAllegroResult',
            'GenerateLabelBusinessPackListAllegro' => '\\StructType\\GenerateLabelBusinessPackListAllegro',
            'ArrayOfBusinessPackAllegro' => '\\ArrayType\\ArrayOfBusinessPackAllegro',
            'BusinessPackAllegro' => '\\StructType\\BusinessPackAllegro',
            'GenerateLabelBusinessPackListAllegroResponse' => '\\StructType\\GenerateLabelBusinessPackListAllegroResponse',
            'GenerateLabelBusinessPackListAllegroResult' => '\\StructType\\GenerateLabelBusinessPackListAllegroResult',
            'CustomerConfirmPackReturn' => '\\StructType\\CustomerConfirmPackReturn',
            'CustomerConfirmPackReturnResponse' => '\\StructType\\CustomerConfirmPackReturnResponse',
            'PwrResponseOfString' => '\\StructType\\PwrResponseOfString',
            'CustomerGetPackagesToBeReturned' => '\\StructType\\CustomerGetPackagesToBeReturned',
            'CustomerGetPackagesToBeReturnedResponse' => '\\StructType\\CustomerGetPackagesToBeReturnedResponse',
            'PwrResponseOfListOfPackagesToBeReturned' => '\\StructType\\PwrResponseOfListOfPackagesToBeReturned',
            'ArrayOfPackagesToBeReturned' => '\\ArrayType\\ArrayOfPackagesToBeReturned',
            'PackagesToBeReturned' => '\\StructType\\PackagesToBeReturned',
            'CallPickup' => '\\StructType\\CallPickup',
            'CallPickupResponse' => '\\StructType\\CallPickupResponse',
            'CallPickupNew' => '\\StructType\\CallPickupNew',
            'CallPickupNewResponse' => '\\StructType\\CallPickupNewResponse',
            'GetAvailablePickups' => '\\StructType\\GetAvailablePickups',
            'GetAvailablePickupsResponse' => '\\StructType\\GetAvailablePickupsResponse',
            'PwrResponseOfListOfAvailablePickupDay' => '\\StructType\\PwrResponseOfListOfAvailablePickupDay',
            'ArrayOfAvailablePickupDay' => '\\ArrayType\\ArrayOfAvailablePickupDay',
            'AvailablePickupDay' => '\\StructType\\AvailablePickupDay',
            'OrderPickupsFromLastDays' => '\\StructType\\OrderPickupsFromLastDays',
            'OrderPickupsFromLastDaysResponse' => '\\StructType\\OrderPickupsFromLastDaysResponse',
            'GenerateCustomerReturn' => '\\StructType\\GenerateCustomerReturn',
            'GenerateCustomerReturnResponse' => '\\StructType\\GenerateCustomerReturnResponse',
            'GenerateCustomerReturnResult' => '\\StructType\\GenerateCustomerReturnResult',
            'GenerateCustomerReturnShippingCode' => '\\StructType\\GenerateCustomerReturnShippingCode',
            'GenerateCustomerReturnShippingCodeResponse' => '\\StructType\\GenerateCustomerReturnShippingCodeResponse',
            'GenerateCustomerReturnShippingCodeResult' => '\\StructType\\GenerateCustomerReturnShippingCodeResult',
        );
    }
}
