<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Generate ServiceType
 * @subpackage Services
 */
class Generate extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GenerateBusinessPack
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateBusinessPack $parameters
     * @return \StructType\GenerateBusinessPackResponse|bool
     */
    public function GenerateBusinessPack(\StructType\GenerateBusinessPack $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateBusinessPack($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateBusinessPackTwo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateBusinessPackTwo $parameters
     * @return \StructType\GenerateBusinessPackTwoResponse|bool
     */
    public function GenerateBusinessPackTwo(\StructType\GenerateBusinessPackTwo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateBusinessPackTwo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateNumberWaybills
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateNumberWaybills $parameters
     * @return \StructType\GenerateNumberWaybillsResponse|bool
     */
    public function GenerateNumberWaybills(\StructType\GenerateNumberWaybills $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateNumberWaybills($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateLabelBusinessPackList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelBusinessPackList $parameters
     * @return \StructType\GenerateLabelBusinessPackListResponse|bool
     */
    public function GenerateLabelBusinessPackList(\StructType\GenerateLabelBusinessPackList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateLabelBusinessPackList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateLabelBusinessPackListTwo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelBusinessPackListTwo $parameters
     * @return \StructType\GenerateLabelBusinessPackListTwoResponse|bool
     */
    public function GenerateLabelBusinessPackListTwo(\StructType\GenerateLabelBusinessPackListTwo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateLabelBusinessPackListTwo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateLabelBusinessPack
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelBusinessPack $parameters
     * @return \StructType\GenerateLabelBusinessPackResponse|bool
     */
    public function GenerateLabelBusinessPack(\StructType\GenerateLabelBusinessPack $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateLabelBusinessPack($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateLabelBusinessPackTwo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelBusinessPackTwo $parameters
     * @return \StructType\GenerateLabelBusinessPackTwoResponse|bool
     */
    public function GenerateLabelBusinessPackTwo(\StructType\GenerateLabelBusinessPackTwo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateLabelBusinessPackTwo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateProtocol
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateProtocol $parameters
     * @return \StructType\GenerateProtocolResponse|bool
     */
    public function GenerateProtocol(\StructType\GenerateProtocol $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateProtocol($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateShippingCode
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateShippingCode $parameters
     * @return \StructType\GenerateShippingCodeResponse|bool
     */
    public function GenerateShippingCode(\StructType\GenerateShippingCode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateShippingCode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateShippingCodeRuch2Home
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateShippingCodeRuch2Home $parameters
     * @return \StructType\GenerateShippingCodeRuch2HomeResponse|bool
     */
    public function GenerateShippingCodeRuch2Home(\StructType\GenerateShippingCodeRuch2Home $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateShippingCodeRuch2Home($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateLabelBusinessPackRuch2Home
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelBusinessPackRuch2Home $parameters
     * @return \StructType\GenerateLabelBusinessPackRuch2HomeResponse|bool
     */
    public function GenerateLabelBusinessPackRuch2Home(\StructType\GenerateLabelBusinessPackRuch2Home $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateLabelBusinessPackRuch2Home($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateLabelBusinessPackAllegro
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelBusinessPackAllegro $parameters
     * @return \StructType\GenerateLabelBusinessPackAllegroResponse|bool
     */
    public function GenerateLabelBusinessPackAllegro(\StructType\GenerateLabelBusinessPackAllegro $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateLabelBusinessPackAllegro($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GenerateLabelBusinessPackListAllegro
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateLabelBusinessPackListAllegro $parameters
     * @return \StructType\GenerateLabelBusinessPackListAllegroResponse|bool
     */
    public function GenerateLabelBusinessPackListAllegro(\StructType\GenerateLabelBusinessPackListAllegro $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateLabelBusinessPackListAllegro($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateCustomerReturn
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateCustomerReturn $parameters
     * @return \StructType\GenerateCustomerReturnResponse|bool
     */
    public function GenerateCustomerReturn(\StructType\GenerateCustomerReturn $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateCustomerReturn($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GenerateCustomerReturnShippingCode
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GenerateCustomerReturnShippingCode $parameters
     * @return \StructType\GenerateCustomerReturnShippingCodeResponse|bool
     */
    public function GenerateCustomerReturnShippingCode(\StructType\GenerateCustomerReturnShippingCode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GenerateCustomerReturnShippingCode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GenerateBusinessPackResponse|\StructType\GenerateBusinessPackTwoResponse|\StructType\GenerateCustomerReturnResponse|\StructType\GenerateCustomerReturnShippingCodeResponse|\StructType\GenerateLabelBusinessPackAllegroResponse|\StructType\GenerateLabelBusinessPackListAllegroResponse|\StructType\GenerateLabelBusinessPackListResponse|\StructType\GenerateLabelBusinessPackListTwoResponse|\StructType\GenerateLabelBusinessPackResponse|\StructType\GenerateLabelBusinessPackRuch2HomeResponse|\StructType\GenerateLabelBusinessPackTwoResponse|\StructType\GenerateNumberWaybillsResponse|\StructType\GenerateProtocolResponse|\StructType\GenerateShippingCodeResponse|\StructType\GenerateShippingCodeRuch2HomeResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
