<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Give ServiceType
 * @subpackage Services
 */
class Give extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GiveMePackStatusFullHistoryList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMePackStatusFullHistoryList $parameters
     * @return \StructType\GiveMePackStatusFullHistoryListResponse|bool
     */
    public function GiveMePackStatusFullHistoryList(\StructType\GiveMePackStatusFullHistoryList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMePackStatusFullHistoryList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMePackStatusFullHistory
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMePackStatusFullHistory $parameters
     * @return \StructType\GiveMePackStatusFullHistoryResponse|bool
     */
    public function GiveMePackStatusFullHistory(\StructType\GiveMePackStatusFullHistory $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMePackStatusFullHistory($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GiveMeShippingCodeStatusFullHistory
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeShippingCodeStatusFullHistory $parameters
     * @return \StructType\GiveMeShippingCodeStatusFullHistoryResponse|bool
     */
    public function GiveMeShippingCodeStatusFullHistory(\StructType\GiveMeShippingCodeStatusFullHistory $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeShippingCodeStatusFullHistory($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMePackStatus
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMePackStatus $parameters
     * @return \StructType\GiveMePackStatusResponse|bool
     */
    public function GiveMePackStatus(\StructType\GiveMePackStatus $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMePackStatus($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMePackStatusList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMePackStatusList $parameters
     * @return \StructType\GiveMePackStatusListResponse|bool
     */
    public function GiveMePackStatusList(\StructType\GiveMePackStatusList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMePackStatusList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMasterPack
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMasterPack $parameters
     * @return \StructType\GiveMasterPackResponse|bool
     */
    public function GiveMasterPack(\StructType\GiveMasterPack $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMasterPack($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveCurrentPack
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveCurrentPack $parameters
     * @return \StructType\GiveCurrentPackResponse|bool
     */
    public function GiveCurrentPack(\StructType\GiveCurrentPack $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveCurrentPack($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeAllRUCHWithFilled
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeAllRUCHWithFilled $parameters
     * @return \StructType\GiveMeAllRUCHWithFilledResponse|bool
     */
    public function GiveMeAllRUCHWithFilled(\StructType\GiveMeAllRUCHWithFilled $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeAllRUCHWithFilled($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeAllRUCHWithFilledD1
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeAllRUCHWithFilledD1 $parameters
     * @return \StructType\GiveMeAllRUCHWithFilledD1Response|bool
     */
    public function GiveMeAllRUCHWithFilledD1(\StructType\GiveMeAllRUCHWithFilledD1 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeAllRUCHWithFilledD1($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeAllRUCHZipcode
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeAllRUCHZipcode $parameters
     * @return \StructType\GiveMeAllRUCHZipcodeResponse|bool
     */
    public function GiveMeAllRUCHZipcode(\StructType\GiveMeAllRUCHZipcode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeAllRUCHZipcode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeAllRUCHLocation
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeAllRUCHLocation $parameters
     * @return \StructType\GiveMeAllRUCHLocationResponse|bool
     */
    public function GiveMeAllRUCHLocation(\StructType\GiveMeAllRUCHLocation $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeAllRUCHLocation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeAllPSDLocation
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeAllPSDLocation $parameters
     * @return \StructType\GiveMeAllPSDLocationResponse|bool
     */
    public function GiveMeAllPSDLocation(\StructType\GiveMeAllPSDLocation $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeAllPSDLocation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeAllLocationWithAllData
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeAllLocationWithAllData $parameters
     * @return \StructType\GiveMeAllLocationWithAllDataResponse|bool
     */
    public function GiveMeAllLocationWithAllData(\StructType\GiveMeAllLocationWithAllData $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeAllLocationWithAllData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeAllApmLocation
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeAllApmLocation $parameters
     * @return \StructType\GiveMeAllApmLocationResponse|bool
     */
    public function GiveMeAllApmLocation(\StructType\GiveMeAllApmLocation $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeAllApmLocation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMePSDProvince
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMePSDProvince $parameters
     * @return \StructType\GiveMePSDProvinceResponse|bool
     */
    public function GiveMePSDProvince(\StructType\GiveMePSDProvince $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMePSDProvince($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMePSDZipcode
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMePSDZipcode $parameters
     * @return \StructType\GiveMePSDZipcodeResponse|bool
     */
    public function GiveMePSDZipcode(\StructType\GiveMePSDZipcode $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMePSDZipcode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveMeCityPSDLocation
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveMeCityPSDLocation $parameters
     * @return \StructType\GiveMeCityPSDLocationResponse|bool
     */
    public function GiveMeCityPSDLocation(\StructType\GiveMeCityPSDLocation $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveMeCityPSDLocation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GivePaymentType
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GivePaymentType $parameters
     * @return \StructType\GivePaymentTypeResponse|bool
     */
    public function GivePaymentType(\StructType\GivePaymentType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GivePaymentType($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GivePartnerStatus
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GivePartnerStatus $parameters
     * @return \StructType\GivePartnerStatusResponse|bool
     */
    public function GivePartnerStatus(\StructType\GivePartnerStatus $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GivePartnerStatus($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GivePartnerStatusWithAllData
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GivePartnerStatusWithAllData $parameters
     * @return \StructType\GivePartnerStatusWithAllDataResponse|bool
     */
    public function GivePartnerStatusWithAllData(\StructType\GivePartnerStatusWithAllData $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GivePartnerStatusWithAllData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GiveShippingCodeStatus
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GiveShippingCodeStatus $parameters
     * @return \StructType\GiveShippingCodeStatusResponse|bool
     */
    public function GiveShippingCodeStatus(\StructType\GiveShippingCodeStatus $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GiveShippingCodeStatus($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GiveCurrentPackResponse|\StructType\GiveMasterPackResponse|\StructType\GiveMeAllApmLocationResponse|\StructType\GiveMeAllLocationWithAllDataResponse|\StructType\GiveMeAllPSDLocationResponse|\StructType\GiveMeAllRUCHLocationResponse|\StructType\GiveMeAllRUCHWithFilledD1Response|\StructType\GiveMeAllRUCHWithFilledResponse|\StructType\GiveMeAllRUCHZipcodeResponse|\StructType\GiveMeCityPSDLocationResponse|\StructType\GiveMePackStatusFullHistoryListResponse|\StructType\GiveMePackStatusFullHistoryResponse|\StructType\GiveMePackStatusListResponse|\StructType\GiveMePackStatusResponse|\StructType\GiveMePSDProvinceResponse|\StructType\GiveMePSDZipcodeResponse|\StructType\GiveMeShippingCodeStatusFullHistoryResponse|\StructType\GivePartnerStatusResponse|\StructType\GivePartnerStatusWithAllDataResponse|\StructType\GivePaymentTypeResponse|\StructType\GiveShippingCodeStatusResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
