<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Label ServiceType
 * @subpackage Services
 */
class Label extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named LabelPrintDuplicateList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\LabelPrintDuplicateList $parameters
     * @return \StructType\LabelPrintDuplicateListResponse|bool
     */
    public function LabelPrintDuplicateList(\StructType\LabelPrintDuplicateList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->LabelPrintDuplicateList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named LabelPrintDuplicateListTwo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\LabelPrintDuplicateListTwo $parameters
     * @return \StructType\LabelPrintDuplicateListTwoResponse|bool
     */
    public function LabelPrintDuplicateListTwo(\StructType\LabelPrintDuplicateListTwo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->LabelPrintDuplicateListTwo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named LabelPrintDuplicate
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\LabelPrintDuplicate $parameters
     * @return \StructType\LabelPrintDuplicateResponse|bool
     */
    public function LabelPrintDuplicate(\StructType\LabelPrintDuplicate $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->LabelPrintDuplicate($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named LabelPrintDuplicateTwo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\LabelPrintDuplicateTwo $parameters
     * @return \StructType\LabelPrintDuplicateTwoResponse|bool
     */
    public function LabelPrintDuplicateTwo(\StructType\LabelPrintDuplicateTwo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->LabelPrintDuplicateTwo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\LabelPrintDuplicateListResponse|\StructType\LabelPrintDuplicateListTwoResponse|\StructType\LabelPrintDuplicateResponse|\StructType\LabelPrintDuplicateTwoResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
