<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CallPickupNew StructType
 * @subpackage Structs
 */
class CallPickupNew extends AbstractStructBase
{
    /**
     * The ReadyDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $ReadyDate;
    /**
     * The PickupDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $PickupDate;
    /**
     * The PartnerID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PartnerID;
    /**
     * The PartnerKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PartnerKey;
    /**
     * The PackList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString
     */
    public $PackList;
    /**
     * The PostCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PostCode;
    /**
     * The City
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $City;
    /**
     * The Street
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Street;
    /**
     * The BuildingNo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BuildingNo;
    /**
     * The Email
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Email;
    /**
     * The PartnerName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PartnerName;
    /**
     * The PersonName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PersonName;
    /**
     * The PersonSurname
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PersonSurname;
    /**
     * The Telephone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Telephone;
    /**
     * Constructor method for CallPickupNew
     * @uses CallPickupNew::setReadyDate()
     * @uses CallPickupNew::setPickupDate()
     * @uses CallPickupNew::setPartnerID()
     * @uses CallPickupNew::setPartnerKey()
     * @uses CallPickupNew::setPackList()
     * @uses CallPickupNew::setPostCode()
     * @uses CallPickupNew::setCity()
     * @uses CallPickupNew::setStreet()
     * @uses CallPickupNew::setBuildingNo()
     * @uses CallPickupNew::setEmail()
     * @uses CallPickupNew::setPartnerName()
     * @uses CallPickupNew::setPersonName()
     * @uses CallPickupNew::setPersonSurname()
     * @uses CallPickupNew::setTelephone()
     * @param string $readyDate
     * @param string $pickupDate
     * @param string $partnerID
     * @param string $partnerKey
     * @param \ArrayType\ArrayOfString $packList
     * @param string $postCode
     * @param string $city
     * @param string $street
     * @param string $buildingNo
     * @param string $email
     * @param string $partnerName
     * @param string $personName
     * @param string $personSurname
     * @param string $telephone
     */
    public function __construct($readyDate = null, $pickupDate = null, $partnerID = null, $partnerKey = null, \ArrayType\ArrayOfString $packList = null, $postCode = null, $city = null, $street = null, $buildingNo = null, $email = null, $partnerName = null, $personName = null, $personSurname = null, $telephone = null)
    {
        $this
            ->setReadyDate($readyDate)
            ->setPickupDate($pickupDate)
            ->setPartnerID($partnerID)
            ->setPartnerKey($partnerKey)
            ->setPackList($packList)
            ->setPostCode($postCode)
            ->setCity($city)
            ->setStreet($street)
            ->setBuildingNo($buildingNo)
            ->setEmail($email)
            ->setPartnerName($partnerName)
            ->setPersonName($personName)
            ->setPersonSurname($personSurname)
            ->setTelephone($telephone);
    }
    /**
     * Get ReadyDate value
     * @return string
     */
    public function getReadyDate()
    {
        return $this->ReadyDate;
    }
    /**
     * Set ReadyDate value
     * @param string $readyDate
     * @return \StructType\CallPickupNew
     */
    public function setReadyDate($readyDate = null)
    {
        // validation for constraint: string
        if (!is_null($readyDate) && !is_string($readyDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($readyDate, true), gettype($readyDate)), __LINE__);
        }
        $this->ReadyDate = $readyDate;
        return $this;
    }
    /**
     * Get PickupDate value
     * @return string
     */
    public function getPickupDate()
    {
        return $this->PickupDate;
    }
    /**
     * Set PickupDate value
     * @param string $pickupDate
     * @return \StructType\CallPickupNew
     */
    public function setPickupDate($pickupDate = null)
    {
        // validation for constraint: string
        if (!is_null($pickupDate) && !is_string($pickupDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pickupDate, true), gettype($pickupDate)), __LINE__);
        }
        $this->PickupDate = $pickupDate;
        return $this;
    }
    /**
     * Get PartnerID value
     * @return string|null
     */
    public function getPartnerID()
    {
        return $this->PartnerID;
    }
    /**
     * Set PartnerID value
     * @param string $partnerID
     * @return \StructType\CallPickupNew
     */
    public function setPartnerID($partnerID = null)
    {
        // validation for constraint: string
        if (!is_null($partnerID) && !is_string($partnerID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($partnerID, true), gettype($partnerID)), __LINE__);
        }
        $this->PartnerID = $partnerID;
        return $this;
    }
    /**
     * Get PartnerKey value
     * @return string|null
     */
    public function getPartnerKey()
    {
        return $this->PartnerKey;
    }
    /**
     * Set PartnerKey value
     * @param string $partnerKey
     * @return \StructType\CallPickupNew
     */
    public function setPartnerKey($partnerKey = null)
    {
        // validation for constraint: string
        if (!is_null($partnerKey) && !is_string($partnerKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($partnerKey, true), gettype($partnerKey)), __LINE__);
        }
        $this->PartnerKey = $partnerKey;
        return $this;
    }
    /**
     * Get PackList value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getPackList()
    {
        return $this->PackList;
    }
    /**
     * Set PackList value
     * @param \ArrayType\ArrayOfString $packList
     * @return \StructType\CallPickupNew
     */
    public function setPackList(\ArrayType\ArrayOfString $packList = null)
    {
        $this->PackList = $packList;
        return $this;
    }
    /**
     * Get PostCode value
     * @return string|null
     */
    public function getPostCode()
    {
        return $this->PostCode;
    }
    /**
     * Set PostCode value
     * @param string $postCode
     * @return \StructType\CallPickupNew
     */
    public function setPostCode($postCode = null)
    {
        // validation for constraint: string
        if (!is_null($postCode) && !is_string($postCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postCode, true), gettype($postCode)), __LINE__);
        }
        $this->PostCode = $postCode;
        return $this;
    }
    /**
     * Get City value
     * @return string|null
     */
    public function getCity()
    {
        return $this->City;
    }
    /**
     * Set City value
     * @param string $city
     * @return \StructType\CallPickupNew
     */
    public function setCity($city = null)
    {
        // validation for constraint: string
        if (!is_null($city) && !is_string($city)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($city, true), gettype($city)), __LINE__);
        }
        $this->City = $city;
        return $this;
    }
    /**
     * Get Street value
     * @return string|null
     */
    public function getStreet()
    {
        return $this->Street;
    }
    /**
     * Set Street value
     * @param string $street
     * @return \StructType\CallPickupNew
     */
    public function setStreet($street = null)
    {
        // validation for constraint: string
        if (!is_null($street) && !is_string($street)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($street, true), gettype($street)), __LINE__);
        }
        $this->Street = $street;
        return $this;
    }
    /**
     * Get BuildingNo value
     * @return string|null
     */
    public function getBuildingNo()
    {
        return $this->BuildingNo;
    }
    /**
     * Set BuildingNo value
     * @param string $buildingNo
     * @return \StructType\CallPickupNew
     */
    public function setBuildingNo($buildingNo = null)
    {
        // validation for constraint: string
        if (!is_null($buildingNo) && !is_string($buildingNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($buildingNo, true), gettype($buildingNo)), __LINE__);
        }
        $this->BuildingNo = $buildingNo;
        return $this;
    }
    /**
     * Get Email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->Email;
    }
    /**
     * Set Email value
     * @param string $email
     * @return \StructType\CallPickupNew
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->Email = $email;
        return $this;
    }
    /**
     * Get PartnerName value
     * @return string|null
     */
    public function getPartnerName()
    {
        return $this->PartnerName;
    }
    /**
     * Set PartnerName value
     * @param string $partnerName
     * @return \StructType\CallPickupNew
     */
    public function setPartnerName($partnerName = null)
    {
        // validation for constraint: string
        if (!is_null($partnerName) && !is_string($partnerName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($partnerName, true), gettype($partnerName)), __LINE__);
        }
        $this->PartnerName = $partnerName;
        return $this;
    }
    /**
     * Get PersonName value
     * @return string|null
     */
    public function getPersonName()
    {
        return $this->PersonName;
    }
    /**
     * Set PersonName value
     * @param string $personName
     * @return \StructType\CallPickupNew
     */
    public function setPersonName($personName = null)
    {
        // validation for constraint: string
        if (!is_null($personName) && !is_string($personName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($personName, true), gettype($personName)), __LINE__);
        }
        $this->PersonName = $personName;
        return $this;
    }
    /**
     * Get PersonSurname value
     * @return string|null
     */
    public function getPersonSurname()
    {
        return $this->PersonSurname;
    }
    /**
     * Set PersonSurname value
     * @param string $personSurname
     * @return \StructType\CallPickupNew
     */
    public function setPersonSurname($personSurname = null)
    {
        // validation for constraint: string
        if (!is_null($personSurname) && !is_string($personSurname)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($personSurname, true), gettype($personSurname)), __LINE__);
        }
        $this->PersonSurname = $personSurname;
        return $this;
    }
    /**
     * Get Telephone value
     * @return string|null
     */
    public function getTelephone()
    {
        return $this->Telephone;
    }
    /**
     * Set Telephone value
     * @param string $telephone
     * @return \StructType\CallPickupNew
     */
    public function setTelephone($telephone = null)
    {
        // validation for constraint: string
        if (!is_null($telephone) && !is_string($telephone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telephone, true), gettype($telephone)), __LINE__);
        }
        $this->Telephone = $telephone;
        return $this;
    }
}
