<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LabelBundle StructType
 * @subpackage Structs
 */
class LabelBundle extends AbstractStructBase
{
    /**
     * The Err
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Err;
    /**
     * The ErrDes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrDes;
    /**
     * The Label
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Label;
    /**
     * Constructor method for LabelBundle
     * @uses LabelBundle::setErr()
     * @uses LabelBundle::setErrDes()
     * @uses LabelBundle::setLabel()
     * @param string $err
     * @param string $errDes
     * @param string $label
     */
    public function __construct($err = null, $errDes = null, $label = null)
    {
        $this
            ->setErr($err)
            ->setErrDes($errDes)
            ->setLabel($label);
    }
    /**
     * Get Err value
     * @return string|null
     */
    public function getErr()
    {
        return $this->Err;
    }
    /**
     * Set Err value
     * @param string $err
     * @return \StructType\LabelBundle
     */
    public function setErr($err = null)
    {
        // validation for constraint: string
        if (!is_null($err) && !is_string($err)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($err, true), gettype($err)), __LINE__);
        }
        $this->Err = $err;
        return $this;
    }
    /**
     * Get ErrDes value
     * @return string|null
     */
    public function getErrDes()
    {
        return $this->ErrDes;
    }
    /**
     * Set ErrDes value
     * @param string $errDes
     * @return \StructType\LabelBundle
     */
    public function setErrDes($errDes = null)
    {
        // validation for constraint: string
        if (!is_null($errDes) && !is_string($errDes)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errDes, true), gettype($errDes)), __LINE__);
        }
        $this->ErrDes = $errDes;
        return $this;
    }
    /**
     * Get Label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->Label;
    }
    /**
     * Set Label value
     * @param string $label
     * @return \StructType\LabelBundle
     */
    public function setLabel($label = null)
    {
        // validation for constraint: string
        if (!is_null($label) && !is_string($label)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($label, true), gettype($label)), __LINE__);
        }
        $this->Label = $label;
        return $this;
    }
}
