<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackagesToBeReturned StructType
 * @subpackage Structs
 */
class PackagesToBeReturned extends AbstractStructBase
{
    /**
     * The Data
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Data;
    /**
     * The PSD_Z
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PSD_Z;
    /**
     * The Transakcja
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Transakcja;
    /**
     * The PackCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PackCode;
    /**
     * Constructor method for PackagesToBeReturned
     * @uses PackagesToBeReturned::setData()
     * @uses PackagesToBeReturned::setPSD_Z()
     * @uses PackagesToBeReturned::setTransakcja()
     * @uses PackagesToBeReturned::setPackCode()
     * @param string $data
     * @param string $pSD_Z
     * @param string $transakcja
     * @param string $packCode
     */
    public function __construct($data = null, $pSD_Z = null, $transakcja = null, $packCode = null)
    {
        $this
            ->setData($data)
            ->setPSD_Z($pSD_Z)
            ->setTransakcja($transakcja)
            ->setPackCode($packCode);
    }
    /**
     * Get Data value
     * @return string
     */
    public function getData()
    {
        return $this->Data;
    }
    /**
     * Set Data value
     * @param string $data
     * @return \StructType\PackagesToBeReturned
     */
    public function setData($data = null)
    {
        // validation for constraint: string
        if (!is_null($data) && !is_string($data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($data, true), gettype($data)), __LINE__);
        }
        $this->Data = $data;
        return $this;
    }
    /**
     * Get PSD_Z value
     * @return string|null
     */
    public function getPSD_Z()
    {
        return $this->PSD_Z;
    }
    /**
     * Set PSD_Z value
     * @param string $pSD_Z
     * @return \StructType\PackagesToBeReturned
     */
    public function setPSD_Z($pSD_Z = null)
    {
        // validation for constraint: string
        if (!is_null($pSD_Z) && !is_string($pSD_Z)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pSD_Z, true), gettype($pSD_Z)), __LINE__);
        }
        $this->PSD_Z = $pSD_Z;
        return $this;
    }
    /**
     * Get Transakcja value
     * @return string|null
     */
    public function getTransakcja()
    {
        return $this->Transakcja;
    }
    /**
     * Set Transakcja value
     * @param string $transakcja
     * @return \StructType\PackagesToBeReturned
     */
    public function setTransakcja($transakcja = null)
    {
        // validation for constraint: string
        if (!is_null($transakcja) && !is_string($transakcja)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($transakcja, true), gettype($transakcja)), __LINE__);
        }
        $this->Transakcja = $transakcja;
        return $this;
    }
    /**
     * Get PackCode value
     * @return string|null
     */
    public function getPackCode()
    {
        return $this->PackCode;
    }
    /**
     * Set PackCode value
     * @param string $packCode
     * @return \StructType\PackagesToBeReturned
     */
    public function setPackCode($packCode = null)
    {
        // validation for constraint: string
        if (!is_null($packCode) && !is_string($packCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($packCode, true), gettype($packCode)), __LINE__);
        }
        $this->PackCode = $packCode;
        return $this;
    }
}
